#!/bin/bash
# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/tvbin/http_get.bash $
# $Revision: timeout-retry_patch-2012-10-13 Brian Mills 2012-09-09 01:01:26 +0100 Corrected version number $
# Description: Special version of http_get that uses wget
# ************************************************************

URL=""
DIR="."
TCDID=""
CALLID=""
HOSTIP=""
RATE=""
TIMEOUT=""
while [ -n "$1" ]; do
  opt="$1"
  shift
  case "$opt" in
   "-U") URL=$1 ; shift ;;
   "-D") DIR=$1 ; shift ;;
   "-T") TCDID=$1 ; shift ;;
   "-C") CALLID=$1 ; shift ;;
   "-H") HOSTIP=$1 ; shift ;;
   "-P") PORT=$1 ; shift ;;
   "-r") RATE=$1 ; shift ;;
   "-t") TIMEOUT=$1 ; shift ;;
  esac
done
cd "$DIR"
/devbin/wget -T 5 "$URL" 2>&1
