#!/bin/bash
# ************************************************************
# AltEPG Project Source Code Version Control
# $FileID: git::root/tvbin/http_post.bash $
# $Revision: timeout-retry_patch-2012-10-13 Brian Mills 2012-09-09 01:01:26 +0100 Corrected version number $
# Description: Special version of http_post that uses tclient_post
# ************************************************************

FILE=$1
URL=$2
ONOFF=${3:-ON}
ONOFF2=$4
ONOFF3=$5

path="${URL##http://}"
server="${path%%/*}"
service="/${path#*/}"

sendfile=/var/tmp/post.send
recvfile=/var/tmp/post.recv
cat <<! >$sendfile
POST $service HTTP/1.0
Content-Type: text/plain
Content-Length: 99999

!
cat "$FILE" >>$sendfile
timeout=5
/tvbin/tclient_post $server $sendfile $recvfile $timeout $ONOFF >>/var/log/post.log 2>>/var/log/post.err
/tvbin/tclient_post $server $sendfile $recvfile $timeout $ONOFF >>/var/log/post.log 2>>/var/log/post.err
exit 0
